Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

AppGameKit Studio Chat / Tier 2 iOS - Library not found for - lMoltenVKiOS

Author
Message
Fokr
User Offline
Joined: 13th Mar 2020
Location:
Posted: 21st May 2020 10:11
Get this error when trying to build template_ios.

Thanks.
Metal Nihilist
9
Years of Service
User Offline
Joined: 26th Oct 2010
Location:
Posted: 9th Jul 2020 00:27
I'm getting the same error as well and have been stuck on it for some time. Did you find a resolution?

I find it surprising that this is the only post I've seen on the forums about this error. I'm getting it on a fresh/vanilla install of AppGameKit Studio on a Mac.

Specifically, I'm encountering this error on a 2018 Mac Mini that I purchased "new" solely with AppGameKit Studio in mind. I've pretty much only installed Xcode, Steam, and AppGameKit Studio. I've tried re-installing AppGameKit Studio without any luck and I get the same error when trying to build template_ios and template_ios_lite.

I think the error may be related to a missing directory that should be in the "Tier 2" directory, but I'm not positive. Specifically, under the "Tier 2/renderer" directory, I only have "Renderer.h," but the "Library Search Paths" under "Search Paths" in the "Build Settings" tab for the agkinterpreter project include "../../renderer/MoltenVK/Lib" and I do not have this directory, even after fully uninstalling/re-installing AppGameKit Studio through Steam. I'm getting warnings before the "Library not found for -lMoltenVKiOS" error and one warning states "directory not found for option '-L../../renderer/MoltenVK/Lib'"

Here is the output from the warning and error in my buildtime messages summary:

ld: warning: directory not found for option '-L../../renderer/MoltenVK/Lib'
ld: library not found for -lMoltenVKiOS
clang: error: linker command failed with exit code 1 (use -v to see invocation)

More info about my system if it helps:

macOS Catalina Version 10.15.4
Processor: 3 GHz 6-Core Intel Core i5
Memory: 8 GB 2667 MHz DDR4
Graphics: Intel UHD Graphics 630 1536 MB

Xcode Version 11.5
AppGameKit Studio V2020.04.16

Build is targeting a physically attached device (iPhone 8 currently running iOS Version 13.3.1)

AGK 1/2/Studio Tier 2 has worked very well for me overall when building for Windows or Android. In fact, I've had great luck with TGC software for the past 2 decades - this is the first error I haven't been able to resolve or work around. It's unfortunately a showstopper for iOS at the moment. I'm getting very close to releasing an app that's been in the works for a long time for Android and iOS (and I've been excited about the MoltenVK integration since Apple announced OpenGL being deprecated), so I'm hoping to find a way past this hurdle.

Thanks in advance to anyone who can help!
Fokr
User Offline
Joined: 13th Mar 2020
Location:
Posted: 15th Jul 2020 11:15
Yes I'm sure there are files missing from the distribution. I have not been on this project in a while so am not sure if they have updated or not.

Login to post a reply

Server time is: 2020-08-04 04:18:20
Your offset time is: 2020-08-04 04:18:20